corda / net.corda.client.model / TrackedDelegate / ObserverDelegate

# ObserverDelegate

`class ObserverDelegate<M : Any, T> : TrackedDelegate<M>`

### Constructors

<init> | `ObserverDelegate(klass: KClass<M>, observerProperty: (M) -> Observer<T>)`

### Properties

observerProperty | `val observerProperty: (M) -> Observer<T>`

### Inherited Properties

klass | `val klass: KClass<M>`

### Functions

getValue | `operator fun getValue(thisRef: Any, property: KProperty<*>): Observer<T>`